National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-2948 Detail

Description

mount.cifs in Samba 3.0 before 3.0.37, 3.2 before 3.2.15, 3.3 before 3.3.8 and 3.4 before 3.4.2, when mount.cifs is installed suid root, does not properly enforce permissions, which allows local users to read part of the credentials file and obtain the password by specifying the path to the credentials file and using the --verbose or -v option.

Source:  MITRE
Description Last Modified:  10/07/2009

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 1.9 LOW
Vector: (AV:L/AC:M/Au:N/C:P/I:N/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 3.4


Access Vector (AV): Local
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2009-10/msg00004.html
http://news.samba.org/releases/3.0.37/
http://news.samba.org/releases/3.2.15/
http://news.samba.org/releases/3.3.8/
http://news.samba.org/releases/3.4.2/
http://slackware.com/security/viewer.php?l=slackware-security&y=2009&m=slackware-security.561439 Patch
http://www.samba.org/samba/security/CVE-2009-2948.html Patch Vendor Advisory
http://www.securityfocus.com/bid/36572 Patch
http://www.securitytracker.com/id?1022975 Patch
http://www.ubuntu.com/usn/USN-839-1 Patch
http://www.vupen.com/english/advisories/2009/2810 Vendor Advisory
https://exchange.xforce.ibmcloud.com/vulnerabilities/53574
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10434
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7087
https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00095.html Patch
https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00098.html Patch

References to Check Content

Identifier:
oval:org.mitre.oval:def:10434
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:10434
Identifier:
oval:org.mitre.oval:def:7087
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:7087

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:samba:samba:3.0:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.0:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.1:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.2:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.2a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.3:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.4:rc1:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.5:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.6:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.7:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.8:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.9:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.10:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.11:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.13:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.14:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.14a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.15:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.16:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.17:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.18:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.19:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.20:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.20a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.20b:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.21:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.21a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.21b:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.21c:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.22:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.23:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.23a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.23b:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.23c:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.23d:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.24:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:pre1:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:pre2:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:rc1:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:rc2:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25:rc3:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25b:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.25c:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.26:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.26a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.27:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.28a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.29:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.30:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.31:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.32:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.33:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.0.34:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.0:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.1:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.2:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.3:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.5:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.7:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.8:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.9:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.10:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.11:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.2.12:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.3:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.3.1:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.3.2:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.3.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.3.5:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:3.4.0:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-2948
NVD Published Date:
10/07/2009
NVD Last Modified:
09/18/2017